Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.util
Interface EngineExecuter

All Known Implementing Classes:
  JREngine

    public interface EngineExecuter

Method Summary
`boolean` | `exportToHtml(java.lang.String htmlFileName, boolean bChartApplet, boolean isMultiFile, boolean bUsingTable, boolean bHyperlink, boolean bPageNumber, boolean bAbsolute, int iBrowser)` Exports the current report to HTML.
`boolean` | `exportToPdf(java.lang.String pdfFileName)` Exports the current report to a PDF file.
`boolean` | `exportToText(java.lang.String textFileName, boolean isNormalText, boolean isRepeat, char delimiter)` Exports the current report to a TEXT file.

Method Detail

### exportToHtml

    boolean exportToHtml(java.lang.String htmlFileName,
                         boolean bChartApplet,
                         boolean isMultiFile,
                         boolean bUsingTable,
                         boolean bHyperlink,
                         boolean bPageNumber,
                         boolean bAbsolute,
                         int iBrowser)

  Exports the current report to HTML.

  Parameters:
    `htmlFileName` - The HTML file name.
    `bChartApplet` - Specifies whether the chart in an html file is exported as an applet.
    `isMultiFile` - Specifies whether to export the html to a file or to multiple files.
    `bUsingTable` - Specifies whether to generate a hyperlink.
    `bHyperlink` - Specifies whether to generate a hyperlink.
    `bPageNumber` - Specifies whether to generate page numbers.
    `bAbsolute` - Specifies the font size is absolute or relative.
    `iBrowser` - Specifies the browser is IE or NETSCAPE. The value of the parameter for the browser must be either IE or NETSCAPE.
  Returns:
    true if it is exported successfully.

### exportToPdf

    boolean exportToPdf(java.lang.String pdfFileName)

  Exports the current report to a PDF file.

  Parameters:
    `pdfFileName` - The PDF file name.
  Returns:
    true if it is exported successfully.

### exportToText

    boolean exportToText(java.lang.String textFileName,
                         boolean isNormalText,
                         boolean isRepeat,
                         char delimiter)

  Exports the current report to a TEXT file.

  Parameters:
    `textFileName` - The TEXT file name.
    `isNormalText` - Specifies whether this text file is in normal text format or standard data format.

    The standard data format text file is the text file that each row of it represents a record in the report. It can be used as a text data source to exchange data with other applications.

    `isRepeat` - Specifies whether to repeat the same contents.
    `delimiter` - Delimiter used in SDF(Standard Data Format) format.
  Returns:
    true if it is exported successfully.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD